EasyApache February 23 Release

We are happy to announce that cPanel, L.L.C. has released an update for EasyApache 4! Take a look at some highlights below, and then join us on the cPanel Community Forums, Discord, or Reddit to talk about this update and much more. If you have additional questions, feel free to reach out on one of our social channels.

2022-2-23

ea-nginx
EA-10285: Have ea-nginx config --all update user configs in parallel.EA-10503: Update standalone config to ensure 404 for non-existent php files.
ea-php74
EA-10504: Update ea-php74 from 7.4.27 to 7.4.28 (with fix for CVE-2021-21708). EA-10504: Update ea-php74 from 7.4.27 to 7.4.28 (with fix for CVE-2021-21708).
ea-php80
EA-10505: Update ea-php80 from 8.0.15 to 8.0.16 (with fix for CVE-2021-21708). EA-10505: Update ea-php80 from 8.0.15 to 8.0.16 (with fix for CVE-2021-21708).
ea-php81
EA-10506: Update ea-php81 from 8.1.2 to 8.1.3 (with fix for CVE-2021-21708). EA-10506: Update ea-php81 from 8.1.2 to 8.1.3 (with fix for CVE-2021-21708).

This release includes a security patch that has been issued a fix for a CVE (Common Vulnerabilities and Exposures), the details of which are included below.

SUMMARY
cPanel, L.L.C. has updated packages for EasyApache 4 with PHP versions 7.4.28, 8.0.16, and 8.1.3. This release addresses vulnerabilities related to CVE-2021-21708. We strongly encourage all PHP 7.4 users to upgrade to version 7.4.28, all PHP 8.0 users to update to version 8.0.16, and all PHP 8.1 users to upgrade to version 8.1.3.

AFFECTED VERSIONS
All versions of PHP 7.4 through 7.4.27.
All versions of PHP 8.0 through 8.0.15.
All versions of PHP 8.1 through 8.1.2.

SECURITY RATING
The National Vulnerability Database (NIST) has given the following severity ratings to these CVEs:

CVE-2021-21708 – MEDIUM
PHP 7.4.28
Fixed vulnerability related to CVE-2021-21708.

PHP 8.0.18
Fixed vulnerability related to CVE-2021-21708.

PHP 8.1.3
Fixed vulnerability related to CVE-2021-21708.

SOLUTION
cPanel, L.L.C. has released updated packages for EasyApache 4 on February 23, 2022, with PHP versions 7.4.28, 8.0.16, and 8.1.3. Unless you have enabled automatic package updates in your cron, update your system with either your package manager or WHM’s Run System Update interface.

REFERENCES
CVE – CVE-2021-21708
PHP: PHP 7 ChangeLog
PHP: PHP 8 ChangeLog
PHP: PHP 8 ChangeLog

EA4-2022-2-23-CVE.signedDownload

More Information

Information about all releases this year can be found in the 2021 EasyApache 4 Changelog and the EasyApache 4 Release Notes. You can also sign up for our EasyApache Development and EasyApache Production mailing lists to see when updates are pushed for our RPMs, letting you know ahead of time what will be updated in each EasyApache release.

Original author: Daniela Cardona

Copyright

© Cpanel

8 Ivy League Courses You Can Take for Free
Meta expands Reels globally in an attempt to cure ...
 

By accepting you will be accessing a service provided by a third-party external to https://divethewebcreations.biz/

Advertisement